<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum DegreeLevel: string
{
    use HasValues;

    case D3 = 'D3';
    case D4 = 'D4';
    case S1 = 'S1';
    case S2 = 'S2';
    case S3 = 'S3';

    public function label(): string
    {
        return match ($this) {
            self::D3 => 'D3 (Diploma Tiga)',
            self::D4 => 'D4 (Diploma Empat)',
            self::S1 => 'S1 (Sarjana)',
            self::S2 => 'S2 (Magister)',
            self::S3 => 'S3 (Doktor)',
        };
    }
}
